Loading...
Searching...
No Matches
EST_Chunk Class Reference

## Public Types

typedef unsigned short | use_counter
typedef int | EST_chunk_size

## Friends

class | EST_ChunkPtr
EST_ChunkPtr | chunk_allocate (int bytes)
EST_ChunkPtr | chunk_allocate (int bytes, const char *initial, int initial_len)
EST_ChunkPtr | chunk_allocate (int bytes, const EST_ChunkPtr &initial, int initial_start, int initial_len)
void | cp_make_updatable (EST_ChunkPtr &shared, EST_Chunk::EST_chunk_size inuse)
void | cp_make_updatable (EST_ChunkPtr &shared)
void | grow_chunk (EST_ChunkPtr &shared, EST_Chunk::EST_chunk_size inuse, EST_Chunk::EST_chunk_size newsize)
void | grow_chunk (EST_ChunkPtr &shared, EST_Chunk::EST_chunk_size newsize)
ostream & | operator<< (ostream &s, const EST_Chunk &chp)
void | tester (void)

## Detailed Description

Definition at line 105 of file EST_Chunk.h.

## Member Typedef Documentation

## use_counter

typedef unsigned short EST_Chunk::use_counter

Definition at line 107 of file EST_Chunk.h.

## EST_chunk_size

typedef int EST_Chunk::EST_chunk_size

Definition at line 109 of file EST_Chunk.h.

## Friends And Related Symbol Documentation

## EST_ChunkPtr

friend class EST_ChunkPtr

friend

Definition at line 132 of file EST_Chunk.h.

## chunk_allocate [1/3]

EST_ChunkPtr chunk_allocate | ( | int | bytes | ) |

friend

Definition at line 237 of file EST_Chunk.cc.

## chunk_allocate [2/3]

EST_ChunkPtr chunk_allocate | ( | int | bytes,
|  | const char * | initial,
|  | int | initial_len )

friend

Definition at line 244 of file EST_Chunk.cc.

## chunk_allocate [3/3]

EST_ChunkPtr chunk_allocate | ( | int | bytes,
|  | const EST_ChunkPtr & | initial,
|  | int | initial_start,
|  | int | initial_len )

friend

Definition at line 261 of file EST_Chunk.cc.

## cp_make_updatable [1/2]

void cp_make_updatable | ( | EST_ChunkPtr & | shared,
|  | EST_Chunk::EST_chunk_size | inuse )

friend

Definition at line 286 of file EST_Chunk.cc.

## cp_make_updatable [2/2]

void cp_make_updatable | ( | EST_ChunkPtr & | shared | ) |

friend

Definition at line 299 of file EST_Chunk.cc.

## grow_chunk [1/2]

void grow_chunk | ( | EST_ChunkPtr & | shared,
|  | EST_Chunk::EST_chunk_size | inuse,
|  | EST_Chunk::EST_chunk_size | newsize )

friend

Definition at line 330 of file EST_Chunk.cc.

## grow_chunk [2/2]

void grow_chunk | ( | EST_ChunkPtr & | shared,
|  | EST_Chunk::EST_chunk_size | newsize )

friend

Definition at line 318 of file EST_Chunk.cc.

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | const EST_Chunk & | chp )

friend

Definition at line 342 of file EST_Chunk.cc.

The documentation for this class was generated from the following files:

- include/EST_Chunk.h
- base_class/string/EST_Chunk.cc